Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class HamiltonianSysInfo

[frames] | no frames]

# Class HamiltonianSysInfo

source code

            object --+
                     |
    AbstractSystemInfo --+
                         |
                        HamiltonianSysInfo

Holds information describing a system by its Hamiltonian only.

Instance Methods

__init__(self, hamiltonian) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| hamiltonian
Inherited from `object`: `__class__`

Method Details

### __init__(self, hamiltonian)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `hamiltonian` (ReducedHamiltonian) - the Hamiltonian of the system to be described
Overrides: object.__init__
  (inherited documentation)

Property Details

### hamiltonian

Get Method:
  unreachable.hamiltonian(self)
Set Method:
  unreachable.hamiltonian(self, value)